﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace CustomAttachedProperty
{
    public class MyProps
    {


        public static double GetFooness(DependencyObject obj)
        {
            return (double) obj.GetValue(FoonessProperty);
        }

        public static void SetFooness(DependencyObject obj, double value)
        {
            obj.SetValue(FoonessProperty, value);
        }

        // Using a DependencyProperty as the backing store for Fooness.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty FoonessProperty =
            DependencyProperty.RegisterAttached("Fooness", typeof(double), typeof(MyProps), new UIPropertyMetadata(0.0));


    }
}
