﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Shapes;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Diagnostics;

namespace Eventful
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>

    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            //this.MouseDown += (Window1_MouseDown);
            mainGrid.MouseDown += (mainGrid_MouseDown);
            myBorder.MouseDown += (myBorder_MouseDown);
            button1.MouseDown += (button1_MouseDown);

            this.PreviewMouseDown += new MouseButtonEventHandler(Window1_PreviewMouseDown);

            this.AddHandler(Window.MouseDownEvent,
                new MouseButtonEventHandler(Window1_MouseDown),
                true);
        }

        void Window1_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            Debug.WriteLine("Preview MouseDown window");

        }

        void button1_MouseDown(object sender, MouseEventArgs e)
        {
            Debug.WriteLine("MouseDown button");
        }

        void myBorder_MouseDown(object sender, MouseEventArgs e)
        {
            Debug.WriteLine("MouseDown border");
        }

        void mainGrid_MouseDown(object sender, MouseEventArgs e)
        {
            Debug.WriteLine("MouseDown grid");
            e.Handled = true;
        }

        void Window1_MouseDown(object sender, MouseEventArgs e)
        {
            Debug.WriteLine("MouseDown window, was handled: " + e.Handled);
        }
    }
}
