namespace MtpsShowToc.Mtps
{
    using System.Runtime.Serialization;
    using System;


    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Namespace = "urn:msdn-com:public-content-syndication")]
    [System.SerializableAttribute()]
    public partial class mtpsFaultDetailType : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged
    {

        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;

        private string eventIdField;

        private string sourceField;

        private string helpLinkField;

        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }

        [System.Runtime.Serialization.DataMemberAttribute(IsRequired = true, EmitDefaultValue = false)]
        public string eventId
        {
            get
            {
                return this.eventIdField;
            }
            set
            {
                if ((((object) (this.eventIdField)) != ((object) (value))))
                {
                    this.eventIdField = value;
                    this.RaisePropertyChanged("eventId");
                }
            }
        }

        [System.Runtime.Serialization.DataMemberAttribute(IsRequired = true, EmitDefaultValue = false)]
        public string source
        {
            get
            {
                return this.sourceField;
            }
            set
            {
                if ((((object) (this.sourceField)) != ((object) (value))))
                {
                    this.sourceField = value;
                    this.RaisePropertyChanged("source");
                }
            }
        }

        [System.Runtime.Serialization.DataMemberAttribute(IsRequired = true, EmitDefaultValue = false, Order = 2)]
        public string helpLink
        {
            get
            {
                return this.helpLinkField;
            }
            set
            {
                if ((((object) (this.helpLinkField)) != ((object) (value))))
                {
                    this.helpLinkField = value;
                    this.RaisePropertyChanged("helpLink");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace = "urn:msdn-com:public-content-syndication", ConfigurationName = "MtpsGetNavPaths.Mtps.ContentServicePortType")]
    public interface ContentServicePortType
    {

        // CODEGEN: Generating message contract since the operation GetContent is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action = "urn:msdn-com:public-content-syndication/GetContent", ReplyAction = "*")]
        [System.ServiceModel.FaultContractAttribute(typeof(MtpsShowToc.Mtps.mtpsFaultDetailType), Action = "urn:msdn-com:public-content-syndication/GetContent", Name = "mtpsFaultDetail")]
        [System.ServiceModel.XmlSerializerFormatAttribute()]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(requestedDocument[]))]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(primary[]))]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(image[]))]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(common[]))]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(feature[]))]
        MtpsShowToc.Mtps.GetContentResponse GetContent(MtpsShowToc.Mtps.GetContentRequest request);

        // CODEGEN: Generating message contract since the operation GetNavigationPaths is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action = "urn:msdn-com:public-content-syndication/GetNavigationPaths", ReplyAction = "*")]
        [System.ServiceModel.FaultContractAttribute(typeof(MtpsShowToc.Mtps.mtpsFaultDetailType), Action = "urn:msdn-com:public-content-syndication/GetNavigationPaths", Name = "mtpsFaultDetail")]
        [System.ServiceModel.XmlSerializerFormatAttribute()]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(requestedDocument[]))]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(primary[]))]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(image[]))]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(common[]))]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(feature[]))]
        MtpsShowToc.Mtps.GetNavigationPathsResponse GetNavigationPaths(MtpsShowToc.Mtps.GetNavigationPathsRequest request);
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class getContentRequest : object, System.ComponentModel.INotifyPropertyChanged
    {

        private string contentIdentifierField;

        private string localeField;

        private string versionField;

        private requestedDocument[] requestedDocumentsField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order = 0)]
        public string contentIdentifier
        {
            get
            {
                return this.contentIdentifierField;
            }
            set
            {
                if ((this.contentIdentifierField != value))
                {
                    this.contentIdentifierField = value;
                    this.RaisePropertyChanged("contentIdentifier");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 1)]
        public string locale
        {
            get
            {
                return this.localeField;
            }
            set
            {
                if ((this.localeField != value))
                {
                    this.localeField = value;
                    this.RaisePropertyChanged("locale");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 2)]
        public string version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                if ((this.versionField != value))
                {
                    this.versionField = value;
                    this.RaisePropertyChanged("version");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order = 3)]
        [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable = false)]
        public requestedDocument[] requestedDocuments
        {
            get
            {
                return this.requestedDocumentsField;
            }
            set
            {
                if ((this.requestedDocumentsField != value))
                {
                    this.requestedDocumentsField = value;
                    this.RaisePropertyChanged("requestedDocuments");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn:msdn-com:public-content-syndication")]
    public partial class requestedDocument : object, System.ComponentModel.INotifyPropertyChanged
    {

        private string selectorField;

        private documentTypes typeField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string selector
        {
            get
            {
                return this.selectorField;
            }
            set
            {
                if ((this.selectorField != value))
                {
                    this.selectorField = value;
                    this.RaisePropertyChanged("selector");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public documentTypes type
        {
            get
            {
                return this.typeField;
            }
            set
            {
                if ((this.typeField != value))
                {
                    this.typeField = value;
                    this.RaisePropertyChanged("type");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn:msdn-com:public-content-syndication")]
    public enum documentTypes
    {

        /// <remarks/>
        primary,

        /// <remarks/>
        common,

        /// <remarks/>
        image,

        /// <remarks/>
        feature,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn:msdn-com:public-content-syndication")]
    public partial class navigationPathNode : object, System.ComponentModel.INotifyPropertyChanged
    {

        private string titleField;

        private bool isPhantomField;

        private bool isPhantomFieldSpecified;

        private navigationKey navigationNodeKeyField;

        private navigationKey contentNodeKeyField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order = 0)]
        public string title
        {
            get
            {
                return this.titleField;
            }
            set
            {
                if ((this.titleField != value))
                {
                    this.titleField = value;
                    this.RaisePropertyChanged("title");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order = 1)]
        public bool isPhantom
        {
            get
            {
                return this.isPhantomField;
            }
            set
            {
                if ((this.isPhantomField != value))
                {
                    this.isPhantomField = value;
                    this.RaisePropertyChanged("isPhantom");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool isPhantomSpecified
        {
            get
            {
                return this.isPhantomFieldSpecified;
            }
            set
            {
                if ((this.isPhantomFieldSpecified != value))
                {
                    this.isPhantomFieldSpecified = value;
                    this.RaisePropertyChanged("isPhantomSpecified");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order = 2)]
        public navigationKey navigationNodeKey
        {
            get
            {
                return this.navigationNodeKeyField;
            }
            set
            {
                if ((this.navigationNodeKeyField != value))
                {
                    this.navigationNodeKeyField = value;
                    this.RaisePropertyChanged("navigationNodeKey");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order = 3)]
        public navigationKey contentNodeKey
        {
            get
            {
                return this.contentNodeKeyField;
            }
            set
            {
                if ((this.contentNodeKeyField != value))
                {
                    this.contentNodeKeyField = value;
                    this.RaisePropertyChanged("contentNodeKey");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn:msdn-com:public-content-syndication")]
    public partial class navigationKey : object, System.ComponentModel.INotifyPropertyChanged
    {

        private string contentIdField;

        private string localeField;

        private string versionField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 0)]
        public string contentId
        {
            get
            {
                return this.contentIdField;
            }
            set
            {
                if ((this.contentIdField != value))
                {
                    this.contentIdField = value;
                    this.RaisePropertyChanged("contentId");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 1)]
        public string locale
        {
            get
            {
                return this.localeField;
            }
            set
            {
                if ((this.localeField != value))
                {
                    this.localeField = value;
                    this.RaisePropertyChanged("locale");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 2)]
        public string version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                if ((this.versionField != value))
                {
                    this.versionField = value;
                    this.RaisePropertyChanged("version");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn:msdn-com:public-content-syndication")]
    public partial class navigationPath : object, System.ComponentModel.INotifyPropertyChanged
    {

        private navigationPathNode[] navigationPathNodesField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order = 0)]
        [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable = false)]
        public navigationPathNode[] navigationPathNodes
        {
            get
            {
                return this.navigationPathNodesField;
            }
            set
            {
                if ((this.navigationPathNodesField != value))
                {
                    this.navigationPathNodesField = value;
                    this.RaisePropertyChanged("navigationPathNodes");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn:msdn-com:public-content-syndication")]
    public partial class availableVersionAndLocale : object, System.ComponentModel.INotifyPropertyChanged
    {

        private string localeField;

        private string versionField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 0)]
        public string locale
        {
            get
            {
                return this.localeField;
            }
            set
            {
                if ((this.localeField != value))
                {
                    this.localeField = value;
                    this.RaisePropertyChanged("locale");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 1)]
        public string version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                if ((this.versionField != value))
                {
                    this.versionField = value;
                    this.RaisePropertyChanged("version");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class primary : object, System.ComponentModel.INotifyPropertyChanged
    {

        private System.Xml.XmlElement anyField;

        private string primaryFormatField;

        private string locationField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAnyElementAttribute()]
        public System.Xml.XmlElement Any
        {
            get
            {
                return this.anyField;
            }
            set
            {
                if ((this.anyField != value))
                {
                    this.anyField = value;
                    this.RaisePropertyChanged("Any");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "urn:mtpg-com:mtps/2004/1/primary/category")]
        public string primaryFormat
        {
            get
            {
                return this.primaryFormatField;
            }
            set
            {
                if ((this.primaryFormatField != value))
                {
                    this.primaryFormatField = value;
                    this.RaisePropertyChanged("primaryFormat");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string location
        {
            get
            {
                return this.locationField;
            }
            set
            {
                if ((this.locationField != value))
                {
                    this.locationField = value;
                    this.RaisePropertyChanged("location");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class image : object, System.ComponentModel.INotifyPropertyChanged
    {

        private string nameField;

        private string imageFormatField;

        private string locationField;

        private byte[] valueField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                if ((this.nameField != value))
                {
                    this.nameField = value;
                    this.RaisePropertyChanged("name");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "urn:mtpg-com:mtps/2004/1/image/category")]
        public string imageFormat
        {
            get
            {
                return this.imageFormatField;
            }
            set
            {
                if ((this.imageFormatField != value))
                {
                    this.imageFormatField = value;
                    this.RaisePropertyChanged("imageFormat");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string location
        {
            get
            {
                return this.locationField;
            }
            set
            {
                if ((this.locationField != value))
                {
                    this.locationField = value;
                    this.RaisePropertyChanged("location");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlTextAttribute(DataType = "base64Binary")]
        public byte[] Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                if ((this.valueField != value))
                {
                    this.valueField = value;
                    this.RaisePropertyChanged("Value");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class common : object, System.ComponentModel.INotifyPropertyChanged
    {

        private System.Xml.XmlElement[] anyField;

        private string commonFormatField;

        private string locationField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAnyElementAttribute()]
        public System.Xml.XmlElement[] Any
        {
            get
            {
                return this.anyField;
            }
            set
            {
                if ((this.anyField != value))
                {
                    this.anyField = value;
                    this.RaisePropertyChanged("Any");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "urn:mtpg-com:mtps/2004/1/common/category")]
        public string commonFormat
        {
            get
            {
                return this.commonFormatField;
            }
            set
            {
                if ((this.commonFormatField != value))
                {
                    this.commonFormatField = value;
                    this.RaisePropertyChanged("commonFormat");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string location
        {
            get
            {
                return this.locationField;
            }
            set
            {
                if ((this.locationField != value))
                {
                    this.locationField = value;
                    this.RaisePropertyChanged("location");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class feature : object, System.ComponentModel.INotifyPropertyChanged
    {

        private System.Xml.XmlElement[] anyField;

        private string featureFormatField;

        private string locationField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAnyElementAttribute()]
        public System.Xml.XmlElement[] Any
        {
            get
            {
                return this.anyField;
            }
            set
            {
                if ((this.anyField != value))
                {
                    this.anyField = value;
                    this.RaisePropertyChanged("Any");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "urn:mtpg-com:mtps/2004/1/feature/category")]
        public string featureFormat
        {
            get
            {
                return this.featureFormatField;
            }
            set
            {
                if ((this.featureFormatField != value))
                {
                    this.featureFormatField = value;
                    this.RaisePropertyChanged("featureFormat");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string location
        {
            get
            {
                return this.locationField;
            }
            set
            {
                if ((this.locationField != value))
                {
                    this.locationField = value;
                    this.RaisePropertyChanged("location");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class getContentResponse : object, System.ComponentModel.INotifyPropertyChanged
    {

        private string contentIdField;

        private string contentGuidField;

        private string contentAliasField;

        private string localeField;

        private string versionField;

        private availableVersionAndLocale[] availableVersionsAndLocalesField;

        private primary[] primaryDocumentsField;

        private image[] imageDocumentsField;

        private common[] commonDocumentsField;

        private feature[] featureDocumentsField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 0)]
        public string contentId
        {
            get
            {
                return this.contentIdField;
            }
            set
            {
                if ((this.contentIdField != value))
                {
                    this.contentIdField = value;
                    this.RaisePropertyChanged("contentId");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 1)]
        public string contentGuid
        {
            get
            {
                return this.contentGuidField;
            }
            set
            {
                if ((this.contentGuidField != value))
                {
                    this.contentGuidField = value;
                    this.RaisePropertyChanged("contentGuid");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 2)]
        public string contentAlias
        {
            get
            {
                return this.contentAliasField;
            }
            set
            {
                if ((this.contentAliasField != value))
                {
                    this.contentAliasField = value;
                    this.RaisePropertyChanged("contentAlias");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 3)]
        public string locale
        {
            get
            {
                return this.localeField;
            }
            set
            {
                if ((this.localeField != value))
                {
                    this.localeField = value;
                    this.RaisePropertyChanged("locale");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn:mtpg-com:mtps/2004/1/key", Order = 4)]
        public string version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                if ((this.versionField != value))
                {
                    this.versionField = value;
                    this.RaisePropertyChanged("version");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order = 5)]
        [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable = false)]
        public availableVersionAndLocale[] availableVersionsAndLocales
        {
            get
            {
                return this.availableVersionsAndLocalesField;
            }
            set
            {
                if ((this.availableVersionsAndLocalesField != value))
                {
                    this.availableVersionsAndLocalesField = value;
                    this.RaisePropertyChanged("availableVersionsAndLocales");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order = 6)]
        [System.Xml.Serialization.XmlArrayItemAttribute("primary", Namespace = "urn:mtpg-com:mtps/2004/1/primary", IsNullable = false)]
        public primary[] primaryDocuments
        {
            get
            {
                return this.primaryDocumentsField;
            }
            set
            {
                if ((this.primaryDocumentsField != value))
                {
                    this.primaryDocumentsField = value;
                    this.RaisePropertyChanged("primaryDocuments");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order = 7)]
        [System.Xml.Serialization.XmlArrayItemAttribute("image", Namespace = "urn:mtpg-com:mtps/2004/1/image", IsNullable = false)]
        public image[] imageDocuments
        {
            get
            {
                return this.imageDocumentsField;
            }
            set
            {
                if ((this.imageDocumentsField != value))
                {
                    this.imageDocumentsField = value;
                    this.RaisePropertyChanged("imageDocuments");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order = 8)]
        [System.Xml.Serialization.XmlArrayItemAttribute("common", Namespace = "urn:mtpg-com:mtps/2004/1/common", IsNullable = false)]
        public common[] commonDocuments
        {
            get
            {
                return this.commonDocumentsField;
            }
            set
            {
                if ((this.commonDocumentsField != value))
                {
                    this.commonDocumentsField = value;
                    this.RaisePropertyChanged("commonDocuments");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order = 9)]
        [System.Xml.Serialization.XmlArrayItemAttribute("feature", Namespace = "urn:mtpg-com:mtps/2004/1/feature", IsNullable = false)]
        public feature[] featureDocuments
        {
            get
            {
                return this.featureDocumentsField;
            }
            set
            {
                if ((this.featureDocumentsField != value))
                {
                    this.featureDocumentsField = value;
                    this.RaisePropertyChanged("featureDocuments");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
    public partial class GetContentRequest
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Name = "getContentRequest", Namespace = "urn:msdn-com:public-content-syndication", Order = 0)]
        public MtpsShowToc.Mtps.getContentRequest getContentRequest1;

        public GetContentRequest()
        {
        }

        public GetContentRequest(MtpsShowToc.Mtps.getContentRequest getContentRequest1)
        {
            this.getContentRequest1 = getContentRequest1;
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
    public partial class GetContentResponse
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Name = "getContentResponse", Namespace = "urn:msdn-com:public-content-syndication", Order = 0)]
        public MtpsShowToc.Mtps.getContentResponse getContentResponse1;

        public GetContentResponse()
        {
        }

        public GetContentResponse(MtpsShowToc.Mtps.getContentResponse getContentResponse1)
        {
            this.getContentResponse1 = getContentResponse1;
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class getNavigationPathsRequest : object, System.ComponentModel.INotifyPropertyChanged
    {

        private navigationKey rootField;

        private navigationKey targetField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order = 0)]
        public navigationKey root
        {
            get
            {
                return this.rootField;
            }
            set
            {
                if ((this.rootField != value))
                {
                    this.rootField = value;
                    this.RaisePropertyChanged("root");
                }
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order = 1)]
        public navigationKey target
        {
            get
            {
                return this.targetField;
            }
            set
            {
                if ((this.targetField != value))
                {
                    this.targetField = value;
                    this.RaisePropertyChanged("target");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("svcutil", "3.0.4324.16")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class getNavigationPathsResponse : object, System.ComponentModel.INotifyPropertyChanged
    {

        private navigationPath[] navigationPathsField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order = 0)]
        [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable = false)]
        public navigationPath[] navigationPaths
        {
            get
            {
                return this.navigationPathsField;
            }
            set
            {
                if ((this.navigationPathsField != value))
                {
                    this.navigationPathsField = value;
                    this.RaisePropertyChanged("navigationPaths");
                }
            }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null))
            {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
    public partial class GetNavigationPathsRequest
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Name = "getNavigationPathsRequest", Namespace = "urn:msdn-com:public-content-syndication", Order = 0)]
        public MtpsShowToc.Mtps.getNavigationPathsRequest getNavigationPathsRequest1;

        public GetNavigationPathsRequest()
        {
        }

        public GetNavigationPathsRequest(MtpsShowToc.Mtps.getNavigationPathsRequest getNavigationPathsRequest1)
        {
            this.getNavigationPathsRequest1 = getNavigationPathsRequest1;
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
    public partial class GetNavigationPathsResponse
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Name = "getNavigationPathsResponse", Namespace = "urn:msdn-com:public-content-syndication", Order = 0)]
        public MtpsShowToc.Mtps.getNavigationPathsResponse getNavigationPathsResponse1;

        public GetNavigationPathsResponse()
        {
        }

        public GetNavigationPathsResponse(MtpsShowToc.Mtps.getNavigationPathsResponse getNavigationPathsResponse1)
        {
            this.getNavigationPathsResponse1 = getNavigationPathsResponse1;
        }
    }

    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public interface ContentServicePortTypeChannel : MtpsShowToc.Mtps.ContentServicePortType, System.ServiceModel.IClientChannel
    {
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public partial class ContentServicePortTypeClient : System.ServiceModel.ClientBase<MtpsShowToc.Mtps.ContentServicePortType>, MtpsShowToc.Mtps.ContentServicePortType
    {

        public ContentServicePortTypeClient()
        {
        }

        public ContentServicePortTypeClient(string endpointConfigurationName)
            :
                base(endpointConfigurationName)
        {
        }

        public ContentServicePortTypeClient(string endpointConfigurationName, string remoteAddress)
            :
                base(endpointConfigurationName, remoteAddress)
        {
        }

        public ContentServicePortTypeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress)
            :
                base(endpointConfigurationName, remoteAddress)
        {
        }

        public ContentServicePortTypeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress)
            :
                base(binding, remoteAddress)
        {
        }

        MtpsShowToc.Mtps.GetContentResponse MtpsShowToc.Mtps.ContentServicePortType.GetContent(MtpsShowToc.Mtps.GetContentRequest request)
        {
            return base.Channel.GetContent(request);
        }

        public MtpsShowToc.Mtps.getContentResponse GetContent(MtpsShowToc.Mtps.getContentRequest getContentRequest1)
        {
            MtpsShowToc.Mtps.GetContentRequest inValue = new MtpsShowToc.Mtps.GetContentRequest();
            inValue.getContentRequest1 = getContentRequest1;
            MtpsShowToc.Mtps.GetContentResponse retVal = ((MtpsShowToc.Mtps.ContentServicePortType) (this)).GetContent(inValue);
            return retVal.getContentResponse1;
        }

        MtpsShowToc.Mtps.GetNavigationPathsResponse MtpsShowToc.Mtps.ContentServicePortType.GetNavigationPaths(MtpsShowToc.Mtps.GetNavigationPathsRequest request)
        {
            return base.Channel.GetNavigationPaths(request);
        }

        public MtpsShowToc.Mtps.getNavigationPathsResponse GetNavigationPaths(MtpsShowToc.Mtps.getNavigationPathsRequest getNavigationPathsRequest1)
        {
            MtpsShowToc.Mtps.GetNavigationPathsRequest inValue = new MtpsShowToc.Mtps.GetNavigationPathsRequest();
            inValue.getNavigationPathsRequest1 = getNavigationPathsRequest1;
            MtpsShowToc.Mtps.GetNavigationPathsResponse retVal = ((MtpsShowToc.Mtps.ContentServicePortType) (this)).GetNavigationPaths(inValue);
            return retVal.getNavigationPathsResponse1;
        }
    }
}
